For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pipelines

List Pipelines

get

Gets a list of pipelines.

Args: pipeline_filter_model: Filter model used for pagination, sorting, filtering. project_name_or_id: Optional name or ID of the project to filter by. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: List of pipeline objects matching the filter criteria.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
tagsany of · nullableOptional
stringOptional
or
string[]Optional
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
latest_run_statusstring · nullableOptional
latest_run_userany of · nullableOptional
string · uuidOptional
or
stringOptional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/pipelines

Get Pipeline

get

Gets a specific pipeline using its unique id.

Args: pipeline_id: ID of the pipeline to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: A specific pipeline object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
pipeline_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for pipelines.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/pipelines/{pipeline_id}

Update Pipeline

put

Updates the attribute on a specific pipeline using its unique id.

Args: pipeline_id: ID of the pipeline to get. pipeline_update: the model containing the attributes to update.

Returns: The updated pipeline object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
pipeline_idstring · uuidRequired
Body

Update model for pipelines.

descriptionstring · max: 65535 · nullableOptional
add_tagsstring[] · nullableOptional
remove_tagsstring[] · nullableOptional
Responses
200

Successful Response

application/json

Response model for pipelines.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/pipelines/{pipeline_id}

Delete Pipeline

delete

Deletes a specific pipeline.

Args: pipeline_id: ID of the pipeline to delete.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
pipeline_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/pipelines/{pipeline_id}

No content

ZenML Scarf

Last updated

Was this helpful?